The Get Mandate Status API enables you to understand the current state of the mandate at any time. After integrating this API, it helps you identify the customers who paused the mandate outside your eco-system by directly connecting with the issuer (This case is only applicable for UPI). In such cases, you can call Get Mandate Status API before initiating the charge API.
HTTP Method: POST
Request parameters
| Variable | Description | Example |
|---|---|---|
keymandatory | varchar This parameter is the unique merchant key provided by PayU for your merchant account. | Your Test Key |
commandmandatory | varchar For initiating a recurring transaction, the value of the parameter will be passed as “upi_mandate_status” | upi_mandate_status |
var1mandatory | JSON This parameter is in JSON format where:
| {"authPayuId": "10731087875", "requestId": "1892432asds15g6" } |
hashmandatory | varchar 512 SHA hash strings generated by encrypting request parameters so that any tampering can be avoided.hash = sha512(key|command|var1|SALT) | YOUR_HASH_VALUE |
Sample request
curl --location 'https://info.payu.in/merchant/postservice.php' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer gYUn<}[^]4cM[@b{' \
--header 'Cookie: USERTXNINFO=650c00573d45c7.61571480; PHPSESSID=jp38t4gvop7ami1ksncksj398v; USERTXNINFO=68ed4df291d9b7.27710642' \
--data-urlencode 'form=2' \
--data-urlencode 'key=B*T**G' \
--data-urlencode 'command=upi_mandate_modify' \
--data-urlencode 'hash=edcd3fd98e796d03e77d08ded0d5305055a153b2f6ff47a0f1e3e88c974da3ed740432e9f52e51854db57d4de52ab2ad9c904a833ae379bc60ca2108f63867c1' \
--data-urlencode 'var1={"requestId":"hvdwshvujbdifubsjbsii","authPayuId":"18478074135","endDate":"2025-11-15","amount":1}'
Sample response
- Success scenario
{
"status": "active",
"action": "MANDATE_STATUS",
"authpayuid": "25600438037",
"amount": "1.00",
"mandateStartDate": "2025-10-14 00:00:00",
"mandateEndDate": "2027-12-01 00:00:00"
}- Failure scenario
{
"status": 0,
"message": "Mandate entry not found",
"action": "MANDATE_STATUS"
}
Response parameters
| Parameter Name | Description |
|---|---|
| status | Status defines acknowledgment from PayU. Possible values are: |
| action | Always returned as “MANDATE_STATUS” to highlight the type of action. |
| authpayuid | Value of registration transaction ID sent in the request echoed back. |
| amount | The billing amount echoed back. |
| mandateStartDate | Mandate start date echoed back. |
| mandateEndDate | Mandate end date echoed back. |
Disclaimer:Since the RBI guideline’s deadline is 31st March 2021 to implement all the changes regarding compliance, there might be slight changes in the merchant integrations. PayU has tried to envisage all changes in advance and updated our integration document accordingly.
